Upgrade Scripts for non-interactive major release upgrades (2->3, 3->4, 4->5)

  • Did you try with different browsers?

    omv 5.6.3-1 (usul) on RPi4/4GB with Kernel 5.10.x and WittyPi 3 V2 RTC HAT

    2x 6TB HDD formatted with ext4 in Icy Box IB-RD3662-C31 / hardware supported RAID1

    For Read/Write performance of SMB shares hosted on this hardware see forum here

  • when use omv-firstaid

    configure web control panel i get


    There is a ERROR line in the code block saying:

    Code
    ERROR: Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; omv-salt deploy run --no-color avahi 2>&1' with exit code '1': mediavault.local:
    Data failed to compile:
    ----------
    Rendering SLS 'base:omv.deploy.avahi.services.smb' failed: Jinja error: The property 'shares.share.0.name' does not exist in the model 'conf.service.smb'.

    What does it mean?

  • recently a firefox bug related to OMV was identified and documented in OMV github

    omv 5.6.3-1 (usul) on RPi4/4GB with Kernel 5.10.x and WittyPi 3 V2 RTC HAT

    2x 6TB HDD formatted with ext4 in Icy Box IB-RD3662-C31 / hardware supported RAID1

    For Read/Write performance of SMB shares hosted on this hardware see forum here

  • why did it work with before the upgrade to OMV5?

    Beside, I have installed chrome, and cannot get the WGUI:

    Code
    This page isn’t working
    192.168.1.49 is currently unable to handle this request.
    HTTP ERROR 500
  • You have to clear your browser cache after upgrading. But if you are affected on a system, which has not beeen upgraded too, then you should start a new thread in a fitting sub-forum.


    pierre2000, the upgrade didn't succeed. The upgrade stopped in run.d/80-apt-dist-upgrade:

    Please try the following. Edit /var/lib/dpkg/nfo/openmediavault.postinst and change the first line reading #!/bin/sh to #!/bin/bash and then run


    sudo apt-get install -f


    If that succeeds complete the upgrade running:


    sudo run-parts --exit-on-error -v post.d


    and report back.

  • Please, read my first post. I mentioned there, that I had the problem with omv-salt deploy run --quiet collectd chrony postfix, which did not allow the upgrade to finish. I found the descritpion how to solve it here in the forum. After that I did a apt upgrade, and as the code block in the first post shows, I believe it did finally upgrade


  • Please, read my first post. I mentioned there, that I had the problem with omv-salt deploy run --quiet collectd chrony postfix, which did not allow the upgrade to finish. I found the descritpion how to solve it here in the forum. After that I did a apt upgrade, and as the code block in the first post shows, I believe it did finally upgrade


    But did you run the remaining tasks: sudo run-parts --exit-on-error -v post.d?


    The errors you post indicate that the OMV configuration might not have been (fully) transitioned. It might also be interesting: How did you solve the problem (using the way I suggested?)? What else did you do afterwards?

  • I have followed the #2 Post in this thread as I had the same error:

    [SOLVED]openmediavault package post-installation script subprocess error

    afterwards apt-get update and apt-get upgradefinished the installation without any error


    I have changed the line in the postinst file to #!/bin/bash as suggested and then:

    As expectedt, no further upgrade

    also your suggestion sudo run-parts --exit-on-error -v post.d does not work either:

    Code
    root@mediavault:~# sudo run-parts --exit-on-error -v post.d
    run-parts: failed to open directory post.d: No such file or directory

    I am not sure, but I do not believe that the upgrade is responsible for the missing WGUI, but what else could cause the problem?

  • also your suggestion sudo run-parts --exit-on-error -v post.d does not work either:

    Code
    root@mediavault:~# sudo run-parts --exit-on-error -v post.d
    run-parts: failed to open directory post.d: No such file or directory

    I am not sure, but I do not believe that the upgrade is responsible for the missing WGUI, but what else could cause the problem?

    These are the scripts inside the openmediavault-upgrade-4.7 directory. They are part of the upgrade scripts and haven't been run yet. So get back in the directory and run them. You cannot run the command outside of the upgrade scripts directory.

  • ok, we are getting somewhere, but this python stuff still does not compile properly

  • You don't understand what I'm telling you. I gave you a link to a thread with similar error messages you observe. You were supposed to check this thread, and if the suggestions there apply and fix your issues, run the scripts in the post.d/ directory again to complete the upgrade. I didn't tell you to repeat what you already did. But after exchanging some messages I have the impression that you neither can nor want to follow instructions nor do you care to understand what you are actually doing. So my guess is that after or while you "fixed" the postinst issue you somehow managed to damage something else and I'm not willing to spend more time to help you sorten out the clusterf... you seem to have created. I wish you good luck though.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!